/* ==[ Themes ]============================================================================================ */

html[data-theme="Dark"] {
	--button-bg: #2f3846;
	--button-bg-active: #16222d;
	--button-bg-hover: #33445e;
	--code-bg: rgba(255, 255, 255, 0.2);
	--code-color: #fff;
	--filetitle-color: #eaba4b;
	--focus: #8173bf;
	--highlighted-bg: #2b2f40;
	--highlighted-border: #6464ff;
	--hr-bg: linear-gradient(90deg, #15202b, #607ba6, #15202b);
	--html-bg: #15202b;
	--html-color: #ccc;
	--inputs-bg: #16222d;
	--inputs-border: 1px solid #38444d;
	--inputs-color: #ccc;
	--legend-color: #7fb1e8;
	--link-color: #89c2ff;
	--link-button-bg: linear-gradient(to bottom, #596375, #153864);
	--link-button-bg-active: #223a57;
	--link-button-bg-hover: #3e5e88;
	--link-button-color: #ccc;
	--link-button-color-hover: #bed1ff;
	--link-hover: #ed88fb;
	--navigation-bg: linear-gradient(to bottom, #5070b5, #0f2037);
	--navigation-link-border: #002b60;
	--page-title-color: #a3c1fb;
	--poster-name-color: #71b6ff;
	--poster-opacity: .9;
	--poster-uid-filter: invert(100%);
	--pre-bg: rgba(255,255,255,0.2);
	--pre-color: #fff;
	--reply-bg: #192734;
	--reply-border: #25323d;
	--table-border: #445766;
	--table-th-bg: #173051;
}

html[data-theme="Light"] {
	--button-bg: #e9e9ed;
	--button-bg-active: #acacac;
	--button-bg-hover: #f1f1f1;
	--code-bg: rgba(27,31,35,0.07);
	--code-color: #000;
	--filetitle-color: #506a81;
	--focus: #4d87c4;
	--highlighted-bg: #d4daf0;
	--highlighted-border: #00f;
	--hr-bg: linear-gradient(90deg, #eee, #7a95c1, #eee);
	--html-bg: #eee;
	--html-color: #34343f;
	--inputs-bg: #fff;
	--inputs-border: 1px solid #808080;
	--inputs-color: #000;
	--legend-color: #71819f;
	--link-color: #0f73c8;
	--link-button-bg: linear-gradient(to bottom, #c9d4e6, #577dae);
	--link-button-bg-active: #5b7ca9;
	--link-button-bg-hover: #7f9cc2;
	--link-button-color: #fff;
	--link-button-color-hover: #fff;
	--link-hover: #dd0000;
	--navigation-bg: linear-gradient(to top, #c1d3fb, #375a88);
	--navigation-link-border: #c0ccd7;
	--page-title-color: #71819f;
	--poster-name-color: #438ad7;
	--poster-opacity: 1;
	--pre-bg: rgba(255,255,255,0.4);
	--pre-color: inherit;
	--reply-bg: #ddd;
	--reply-border: #ccc;
	--table-border: #8a97a4;
	--table-th-bg: #c0d4ea;
}

/* ==[ Common rules ]====================================================================================== */

:focus-visible {
	outline: 2px solid var(--focus);
}

a {
	color: var(--link-color);
	text-decoration: none;
}

a:hover {
	color: var(--link-hover);
}

.abbrev, .omittedposts {
	color: #707070;
	margin-top: 6px;
}

body {
	margin: 0;
	text-align: center;
}

body, html {
	background: var(--html-bg);
	color: var(--html-color);
	font: 14px Helvetica, Arial, sans-serif;
}

h2 {
	margin: 20px 0 10px 0;
	font-weight: bold;
	font-size: 1.3rem;
	text-align: center;
	color: var(--legend-color);
}

hr {
	margin: 20px 0;
	border: none;
	background-image: var(--hr-bg);
	height: 2px;
	clear: both;
}

input[type="password"],
input[type="text"],
textarea {
	background-color: var(--inputs-bg);
	color: var(--inputs-color);
	border: var(--inputs-border);
	border-radius: 3px;
}

footer {
	font: 12px serif;
	text-align: center;
}

.manage-error {
	color: #ff2020;
	text-align: center;
	margin-bottom: 10px;
}

.manage-info {
	color: #00B930;
	text-align: center;
	padding: 2px;
	width: 100%;
}

.notice {
	display: inline-block;
	padding: 8px 20px !important;
	font-size: 1.25em;
}

.page-title {
	margin: 7px 0;
	text-align: center;
	font-size: 2em;
	line-height: 1em;
	color: var(--page-title-color);
	width: 100%;
}

.passcode-blocked {
	background: #ff000060;
}

.passcode-expired {
	background: #66666650;
}

.report {
	margin: 1px 1px 1px 23px;
}

.report > .post-message {
	color: #ff2020;
}

.userdelete {
	float: right;
	white-space: nowrap;
}

.wrapper {
	display: inline-block;
	width: calc(100% - 210px);
	max-width: 1224px;
	text-align: left;
}

/* ==[ Posts ]============================================================================================= */

article.reply {
	width: fit-content;
	max-width: calc(100vw - 255px);
	margin-bottom: 3px;
}

.catalog-block {
	overflow: hidden;
	vertical-align: top;
	display: inline-block;
	max-width: 280px;
	width: 280px;
	max-height: 350px;
	height: 350px;
	margin: 3px;
	padding-left: 3px;
	padding-right: 3px;
	padding-top: 6px;
	text-align: center;
	background: var(--reply-bg);
	border: 1px solid var(--reply-border);
	border-radius: 8px;
}

.post-buttons {
	display: inline-flex;
	vertical-align: 1px;
}

.post-buttons > img {
	margin-left: 3px;
}

.post-buttons > .link-button {
	margin-left: 4px;
	padding: 2px 8px;
}

.post-id {
	font-weight: bold;
	font-size: 13px;
}

.post-id > a {
	color: inherit;
}

.post-id > a:hover {
	color: var(--link-hover);
}

.post-message {
	margin: 1em 20px 5px 20px;
	line-height: 19px;
	word-break: break-word;
}

.post-subject {
	background: inherit;
	font-size: 1.1em;
	color: var(--filetitle-color);
	font-weight: bold;
}

.poster-achievement {
	height: 18px;
	vertical-align: -4px;
	filter: saturate(80%);
}

.poster-country {
	height: 14px;
	vertical-align: -2px;
	opacity: var(--poster-opacity);
}

.poster-name, .postername {
	color: var(--poster-name-color);
	font: bold 13px Arial;
}

.poster-name-admin, .postername-admin {
	color: #ff5050;
}

.poster-name-mod, .postername-mod {
	color: #a000a0;
}

.poster-trip, .postertrip {
	color: #228854;
}

.poster-uid, .posteruid {
	font: bold 13px Arial;
	opacity: var(--poster-opacity);
	cursor: pointer;
	filter: var(--poster-uid-filter);
}

.reply {
	background: var(--reply-bg);
	border: 1px solid var(--reply-border);
	padding: 3px;
	border-radius: 8px;
}

.highlighted { /* important to be after .reply */
	border: 1px solid var(--highlighted-border);
	background-color: var(--highlighted-bg);
}

.sage::after {
	content: " sage";
	font-weight: bold;
	color: black;
}

/* ==[ Post files ]======================================================================================== */

.file-extension {
	flex-shrink: 0;
}

.file-fullname {
	display: inline-flex;
	max-width: 230px;
	overflow: hidden;
	white-space: nowrap;
}

.file-info {
	display: block;
	font-size: 80%;
}

.file-name {
	min-width: 0;
	overflow: hidden;
	text-overflow: ellipsis;
}

.file-thumb {
	border: none;
	float: left;
	margin: 4px 0;
}

.file-thumb + .post-message:not(:empty) {
	min-width: 450px;
}

.file-thumb-video {
	border-left: 5px dashed #555;
	border-right: 5px dashed #555;
	background-color: inherit;
	max-width: 230px;
	max-height: 230px;
}

.post-file {
	display: inline-block;
	vertical-align: top;
	margin: 0 0 0 20px;
}

/* ==[ Posts text formatting ]============================================================================= */

code {
	padding: 0.2em 0.4em;
	margin: 0;
	background-color: var(--code-bg);
	color: var(--code-color);
	border-radius: 3px;
	font-size: 85%;
}

del {
	-moz-text-decoration-color: red;
	text-decoration-color: red;
}

pre {
	padding: 5px 5px 4px 5px;
	margin: 3px 0;
	overflow-x: auto;
	max-width: 1150px;
	border: 1px dotted #808080;
	border-radius: 4px;
	background: var(--pre-bg);
	color: var(--pre-color);
	font-size: 85%;
	line-height: 1.45;
	clear: both;
}

pre + br {
	display: none;
}

.spoiler {
	background: #bbb;
	color: #bbb;
}

.spoiler:hover {
	color: #333;
}

.underline {
	text-decoration: underline;
}

.unkfunc {
	background: inherit;
	color: #789922;
}

/* ==[ Postform ]========================================================================================== */

#captchaimage {
	display: block;
	margin-top: 4px;
	cursor: pointer;
}

#markup-bold {
	font-weight: bold;
}

.markup-button {
	width: 28px;
	padding: 1px 0;
	font-size: 12px;
	line-height: 13px;
}

#markup-italic {
	font-style: italic;
}

#markup-underline {
	text-decoration: underline;
}

#message {
	width: 98%;
	height: 200px;
}

.postarea {
	text-align: center;
}

.postblock {
	padding: 0;
}

#postform {
	display: inline-block;
}

.postform-table {
	border-spacing: 0 2px;
	margin: 0 auto;
	text-align: left;
}

.postform-input {
	width: 98%;
}

.rules {
	font: 11px sans-serif;
	padding-left: 5px;
}

.rules li {
	margin-left: 1em;
}

.rules ul {
	margin: 0;
	padding-left: 0;
}

/* ==[ Links and buttons ]================================================================================= */

button:not(.link-button),
input[type="submit"]:not(.link-button) {
	padding: 2px 4px;
	background: var(--button-bg);
	color: var(--inputs-color);
	border: var(--inputs-border);
	border-radius: 3px;
	cursor: pointer;
}

button:not(.link-button):not([disabled]):hover,
input[type="submit"]:not(.link-button):not([disabled]):hover {
	background: var(--button-bg-hover);
}

button:not(.link-button):not([disabled]):active,
input[type="submit"]:not(.link-button):not([disabled]):active {
	background: var(--button-bg-active);
}

.link-button {
	display: inline-block;
	padding: 4px 10px;
	background: var(--link-button-bg);
	color: var(--link-button-color) !important;
	border: none;
	border-radius: 4px;
	box-sizing: border-box;
	font: bold 13px Helvetica, Arial, sans-serif;
	text-align: center;
	text-decoration: none;
	cursor: pointer;
}

.link-button:not([disabled]):hover {
	background: var(--link-button-bg-hover);
  	color: var(--link-button-color-hover) !important;
}

.link-button:not([disabled]):active {
	background: var(--link-button-bg-active);
	transform: translateY(1px);
}

/* ==[ Navigation panels ]================================================================================= */

.navigation {
	display: flex;
	justify-content: center;
	flex-wrap: wrap;
	background-image: var(--navigation-bg);
}

.navigation-link {
	margin: -1px 0 0 -1px;
	padding: 2px 8px 4px 8px;
	border: 1px solid var(--navigation-link-border);
	color: var(--link-button-color) !important;
	font-size: 13px;
	font-weight: bold;
}

.navigation-link:hover {
	background: #5d7aa8;
}

.navigation-separator {
	flex-grow: 1;
}

.panel {
	text-align: center;
	clear: both;
}

#panel-top, #panel-bottom {
	margin: 10px 0;
}

.select-style {
	background: none;
	font: bold 13px Helvetica, Arial, sans-serif;
	cursor: pointer;
}

/* ==[ Moderation forms and tables ]======================================================================= */

.form-container {
	display: flex;
	flex-direction: column;
	gap: 8px;
	width: fit-content;
	margin: 0 auto;
	padding: 10px;
	background: var(--reply-bg);
	border: 1px solid var(--reply-border);
	border-radius: 6px;
	color: var(--html-color);
}

.form-container > input.link-button[type="submit"] {
	margin-top: 6px;
	padding: 10px;
	font-size: 14px;
}

.form-notes {
	margin-top: 10px;
	text-align: center;
	font-size: 85%;
}

.form-row {
	display: flex;
	flex-direction: column;
	gap: 4px;
}

.form-row > input[type="text"],
.form-row > input[type="password"],
.form-row > input[type="date"],
.form-row > input[type="datetime-local"],
.form-row > select {
	padding: 8px;
	background: var(--inputs-bg);
	border: var(--inputs-border);
	color: var(--inputs-color);
	border-radius: 4px;
	font-size: 15px;
	outline: none;
}

.form-row > input:focus,
.form-row > select:focus {
	border-color: var(--focus);
	box-shadow: 0 0 0 2px var(--focus);
}

.form-row-label {
	font-size: 13px;
	font-weight: bold;
	color: var(--legend-color);
}

.mod-button {
	min-width: 160px;
}

.mod-button[disabled] {
	opacity: .5;
	cursor: default;
}

.mod-description {
	font-size: 85%;
}

.mod-row {
	display: flex;
	align-items: center;
	gap: 10px;
}

.panel-adminbar {
	display: flex;
	flex-wrap: wrap;
	gap: 4px;
}

.wrapper > .panel-adminbar {
	justify-content: center;
}

.table, .table-posts {
	margin-top: 10px;
	width: 100%;
	border-collapse: collapse;
}

.table > tbody > tr > td {
	padding: 1px 3px;
	border: 1px solid var(--table-border);
}

.table > thead > tr > th {
	padding: 3px;
	background: var(--table-th-bg);
	border: 1px solid var(--table-border);
}

.table-posts > tbody > tr > td {
	padding: 1px 2px 2px 2px;
	border: 1px solid var(--table-border);
	border-top: none;
}

.table-posts > tbody > tr > th {
	padding: 4px;
	background: var(--table-th-bg);
	border: 1px solid var(--table-border);
	border-bottom: none;
}

/* ==[ Like post button ]================================================================================== */

.like-container {
	cursor: pointer;
}

.like-counter {
	vertical-align: -1px;
	margin-left: 1px;
	color: #ff5b9c;
}

.like-disabled {
	color: #bac1c8;
}

.like-enabled {
	color: #ff8cb9;
}

.like-icon {
	display: inline-block;
}

.like-icon > svg {
	width: 12px;
	height: 12px;
	vertical-align: -2px;
	fill: currentColor;
}

/* ==[ Mobile devices ]==================================================================================== */

@media only screen and (max-width: 770px) {
	article.reply, .message {
		max-width: 95vw;
	}
	.file-wrap > a {
		display: inline-block;
	}
	.navigation-separator {
		flex-grow: 0;
	}
	.post-message {
		min-width: auto !important;
	}
	.thread {
		margin-left: 3px;
	}
	.wrapper {
		display: block;
		width: auto;
	}
}
